com.pdfunit.filter.region

## Class ClippingArea

- java.lang.Object
- - com.pdfunit.filter.region.PageRegion
  - - com.pdfunit.filter.region.ClippingArea

- Deprecated.

      @Deprecated
      @DoNotObfuscate
      public class ClippingArea
      extends PageRegion

  This class defines a rectangle, which belongs to a section of a PDF document.

  This class will be replaced in future by the class `PageRegion`, because the new name indicates 'upper-left' as the origin and fits better to the fluent interface.

  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClippingArea(int leftX, int upperY, int width, int height)` Deprecated. Creating a wrapper to hold a rectangle representing a section of a PDF page.
    `ClippingArea(int leftX, int upperY, int width, int height, FormatUnit formatUnit)` Deprecated. Creating a wrapper to hold a rectangle representing a section of a PDF page.

  - ### Method Summary

    - ### Methods inherited from class com.pdfunit.filter.region.PageRegion

      `createFullSizeFromDocument, createFullSizeFromDocument, createFullSizeFromDocument, createFullSizeFromDocument, createFullSizeFromDocument, getHeightInPoints, getLeftXInPoints, getName, getRectangleLowerLeftBasedPoints, getRectangleUpperLeftBasedPoints, getUpperYInPoints, getWidthInPoints, setName, setPageHeightInPoints, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClippingArea

          public ClippingArea(int leftX,
                      int upperY,
                      int width,
                      int height)

      Deprecated.
      Creating a wrapper to hold a rectangle representing a section of a PDF page.

    - #### ClippingArea

          @Guarded
          public ClippingArea(int leftX,
                              int upperY,
                              int width,
                              int height,
                              FormatUnit formatUnit)

      Deprecated.
      Creating a wrapper to hold a rectangle representing a section of a PDF page.

Copyright (C) PDFUnit.com. See here for license.